Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlResponseWriterImpl

    java.lang.Object
      java.io.Writer
          javax.faces.context.ResponseWriter
              org.apache.myfaces.shared_orchestra.renderkit.html.HtmlResponseWriterImpl

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class HtmlResponseWriterImpl

extends javax.faces.context.ResponseWriter

Version:
  $Revision: 511461 $ $Date: 2007-02-25 09:10:54 +0100 (So, 25 Feb 2007) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $), Anton Koinov

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`HtmlResponseWriterImpl(java.io.Writer writer, java.lang.String contentType, java.lang.String characterEncoding)`

Method Summary
`javax.faces.context.ResponseWriter` | `cloneWithWriter(java.io.Writer writer)`
`void` | `close()`
`void` | `endDocument()`
`void` | `endElement(java.lang.String name)`
`void` | `flush()`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContentType()`
`void` | `setContentType(java.lang.String contentType)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String name, javax.faces.component.UIComponent uiComponent)`
`static boolean` | `supportsContentType(java.lang.String contentType)`
`void` | `write(char[] cbuf)`
`void` | `write(char[] cbuf, int off, int len)`
`void` | `write(int c)`
`void` | `write(java.lang.String str)`
`void` | `write(java.lang.String str, int off, int len)`
`void` | `writeAttribute(java.lang.String name, java.lang.Object value, java.lang.String componentPropertyName)`
`void` | `writeComment(java.lang.Object value)`
`void` | `writeText(char[] cbuf, int off, int len)`
`void` | `writeText(java.lang.Object value, java.lang.String componentPropertyName)`
`void` | `writeURIAttribute(java.lang.String name, java.lang.Object value, java.lang.String componentPropertyName)`

Methods inherited from class javax.faces.context.ResponseWriter
`endCDATA, startCDATA, writeText`

Methods inherited from class java.io.Writer
`append, append, append`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlResponseWriterImpl

    public HtmlResponseWriterImpl(java.io.Writer writer,
                                  java.lang.String contentType,
                                  java.lang.String characterEncoding)
                           throws javax.faces.FacesException

Throws:
  `javax.faces.FacesException`

Method Detail

### supportsContentType

    public static boolean supportsContentType(java.lang.String contentType)

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in class `javax.faces.context.ResponseWriter`

### setContentType

    public void setContentType(java.lang.String contentType)

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in class `javax.faces.context.ResponseWriter`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Specified by:
    `flush` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### startDocument

    public void startDocument()

  Specified by:
    `startDocument` in class `javax.faces.context.ResponseWriter`

### endDocument

    public void endDocument()
                     throws java.io.IOException

  Specified by:
    `endDocument` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### startElement

    public void startElement(java.lang.String name,
                             javax.faces.component.UIComponent uiComponent)
                      throws java.io.IOException

  Specified by:
    `startElement` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### endElement

    public void endElement(java.lang.String name)
                    throws java.io.IOException

  Specified by:
    `endElement` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### writeAttribute

    public void writeAttribute(java.lang.String name,
                               java.lang.Object value,
                               java.lang.String componentPropertyName)
                        throws java.io.IOException

  Specified by:
    `writeAttribute` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### writeURIAttribute

    public void writeURIAttribute(java.lang.String name,
                                  java.lang.Object value,
                                  java.lang.String componentPropertyName)
                           throws java.io.IOException

  Specified by:
    `writeURIAttribute` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### writeComment

    public void writeComment(java.lang.Object value)
                      throws java.io.IOException

  Specified by:
    `writeComment` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### writeText

    public void writeText(java.lang.Object value,
                          java.lang.String componentPropertyName)
                   throws java.io.IOException

  Specified by:
    `writeText` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### writeText

    public void writeText(char[] cbuf,
                          int off,
                          int len)
                   throws java.io.IOException

  Specified by:
    `writeText` in class `javax.faces.context.ResponseWriter`
  Throws:
    `java.io.IOException`

### cloneWithWriter

    public javax.faces.context.ResponseWriter cloneWithWriter(java.io.Writer writer)

  Specified by:
    `cloneWithWriter` in class `javax.faces.context.ResponseWriter`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### write

    public void write(int c)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### write

    public void write(char[] cbuf)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### write

    public void write(java.lang.String str)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

### write

    public void write(java.lang.String str,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.